Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.update
Class Update

    java.lang.Object
      org.jivesoftware.openfire.update.Update

    public class Update

extends Object

An Update represents a component that needs to be updated. By component we can refer to the Openfire server itself or to any of the installed plugins.

Author:
  Gaston Dombiak

Constructor Summary
`Update(String componentName, String latestVersion, String changelog, String url)`

Method Summary
`String` | `getChangelog()` Returns the URL to the change log of the latest version of the component.
`String` | `getComponentName()` Returns the name of the component that is outdated.
`int` | `getHashCode()` Returns the hashCode for this update object.
`String` | `getLatestVersion()` Returns the latest version of the component that was found.
`String` | `getURL()` Returns the URL from where the latest version of the component can be downloaded.
`boolean` | `isDownloaded()` Returns true if the plugin was downloaded.
`void` | `setDownloaded(boolean downloaded)` Sets if the plugin was downloaded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Update

    public Update(String componentName,
                  String latestVersion,
                  String changelog,
                  String url)

Method Detail

### getComponentName

    public String getComponentName()

  Returns the name of the component that is outdated. When the server is the outdated component then a "Openfire" will be returned. Otherwise, the name of the outdated plugin is returned.

  Returns:
    the name of the component that is outdated.

### getLatestVersion

    public String getLatestVersion()

  Returns the latest version of the component that was found.

  Returns:
    the latest version of the component that was found.

### getChangelog

    public String getChangelog()

  Returns the URL to the change log of the latest version of the component.

  Returns:
    the URL to the change log of the latest version of the component.

### getURL

    public String getURL()

  Returns the URL from where the latest version of the component can be downloaded.

  Returns:
    the URL from where the latest version of the component can be downloaded.

### isDownloaded

    public boolean isDownloaded()

  Returns true if the plugin was downloaded. Once a plugin has been downloaded it may take a couple of seconds to be installed. This flag only makes sense for plugins since we currently do not support download new openfire releases.

  Returns:
    true if the plugin was downloaded.

### setDownloaded

    public void setDownloaded(boolean downloaded)

  Sets if the plugin was downloaded. Once a plugin has been downloaded it may take a couple of seconds to be installed. This flag only makes sense for plugins since we currently do not support download new openfire releases.

  Parameters:
    `downloaded` - true if the plugin was downloaded.

### getHashCode

    public int getHashCode()

  Returns the hashCode for this update object.

  Returns:
    hashCode

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.